"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var test_1 = require("../../test");
var Footer_1 = require("./Footer");
var po = new test_1.PageObjects(new Date());
test('should not render anything as default', function () {
    test_1.customRender(react_1.default.createElement("table", null,
        react_1.default.createElement(Footer_1.Footer, null)));
    expect(po.footer).toBeNull();
});
describe('when using the `footer` prop', function () {
    beforeEach(function () {
        test_1.customRender(react_1.default.createElement("table", null,
            react_1.default.createElement(Footer_1.Footer, null)), { footer: 'footer_foo' });
    });
    test('should render the table footer', function () {
        expect(po.footer).toHaveTextContent('footer_foo');
    });
});
//# sourceMappingURL=Footer.test.js.map